Skip to main content
GET
/
api
/
v1
/
projects
/
{projectUuid}
/
dataCatalog
/
{table}
/
metadata
Error
A valid request URL is required to generate request examples
{
  "results": {
    "joinedTables": [
      "<string>"
    ],
    "fields": [
      {
        "name": "<string>",
        "label": "<string>",
        "fieldType": "metric",
        "tableLabel": "<string>",
        "owner": {
          "email": "<string>",
          "lastName": "<string>",
          "firstName": "<string>",
          "userUuid": "<string>"
        },
        "aiHints": [
          "<string>"
        ],
        "icon": {
          "unicode": "<string>"
        },
        "categories": [
          {
            "name": "<string>",
            "color": "<string>",
            "tagUuid": "<string>",
            "yamlReference": "<string>"
          }
        ],
        "tableName": "<string>",
        "fieldValueType": "percentile",
        "basicType": "string",
        "type": "field",
        "catalogSearchUuid": "<string>",
        "description": "<string>",
        "requiredAttributes": {},
        "anyAttributes": {},
        "spotlightSegmentBy": [
          "<string>"
        ],
        "spotlightFilterBy": [
          "<string>"
        ],
        "searchRank": 123,
        "chartUsage": 123,
        "tags": [
          "<string>"
        ],
        "tableGroupLabel": "<string>"
      }
    ],
    "modelName": "<string>",
    "label": "<string>",
    "name": "<string>",
    "fieldType": "metric",
    "tableLabel": "<string>",
    "source": "<string>",
    "description": "<string>"
  },
  "status": "ok"
}

Documentation Index

Fetch the complete documentation index at: https://lightdash-work-with-ai-section-1771841038.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectUuid
string
required
table
string
required

Table name to get metadata for

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok